Metacat - Bug #2554

Store the spatial data cache outside servlet context
09/13/2006 12:33 PM - Matthew Perry

Status: Resolved Start date: 09/13/2006
Priority: Normal Due date:

Assignee: Matthew Perry % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 1.7 Spent time: 0.00 hour
Bugzilla-ld: 2554

Description

Currently the spatial data cache is stored within the servlet context. Geoserver's configuration hardcodes the shapefile path so
storing it within the context allows you to specify relative paths in the geoserver config files. However, if you reinstall metacat, the
cache will be replaced and will need to be regenerated on every "ant install". This is obviously a problem for developers who might
rebuild frequently.

The proposed solution involves configuring the shp paths in build.properties and updating the geoserver config files at build-time.
Doing this with ant tokens would be straighforward but we'd ideally want another solution (XML-DOM based since all geoserver
configuration files are xml).

The paths would also need to be in metacat.properties so they could be accessed by the spatial harvester class.

History

#1 - 11/27/2006 05:04 PM - Matthew Perry

An alternative solution was implemented: once the initial spatial harvest is completed, the "regenerateCacheOnRestart" metacat property is set to
false so that the full cache regeneration only happens once (when you first install metacat).

So the cache will still need to regenerate on every re-install but at least restarting the servlet container doesn't require the expensive regeneration.

#2 - 03/27/2013 02:20 PM - Redmine Admin
Original Bugzilla ID was 2554
